Joomla 1.5 is een contentmanagementsysteem waar je gemakkelijk prachtige websites mee bouwt, ook als je geen professionele webdesigner bent. Maar sinds kort is de nieuwe versie 1.6 uit ... met nóg meer mogelijkheden. Vijf redenen om over te stappen naar Joomla 1.6.

Reden 1: Lekker lui updaten

Joomla wordt voortdurend doorontwikkeld: om de zoveel maanden komt er een tussenversie uit waarin bugs zijn verholpen. Dat is goed, maar ook lastig. In Joomla 1.5 moest je een update downloaden, uitpakken, overzetten en installeren. Gedoe! In Joomla 1.6 is dat verleden tijd: ik heb mijn eigen sites geüpdatet naar Joomla 1.6.3 in een paar seconden. Hoe? Door te klikken op de knop ‘Updaten’. Joomla vindt automatisch updates, en downloadt en installeert ze. Ook uitbreidingen voor Joomla (zoals de backupuitbreiding Akeeba) update je met dit nieuwe éénkliksysteem.

16-5redenen_updatescreen

Reden 2: Laat Gerrit zijn blog bijhouden

Stel, je maakt een site voor een bedrijf. Dan wil je niet alléén alle content bijhouden, je wil bepaalde medewerkers in laten loggen om zelf artikelen te bewerken. Maar ... in Joomla 1.5 kon je die rechten alleen instellen voor de hele site. Iemand die artikelen mocht bewerken, kon bij álle artikelen. Onhandig, want iemand kon zomaar de verkeerde content weggooien. In Joomla 1.6 kun je instellen dat Gerrit alléén de blogpagina’s van de site mag bijhouden, en Ruud de productpagina’s. Van zulke toegangsrechten heb je dus ook veel plezier bij kleine sites met maar een of twee ‘redactieleden’.

Reden 3: Een uurtje eerder naar huis

Iedereen die een tijdje werkt met Joomla 1.6, wil niet meer terug naar 1.5. Hoe komt dat? Door tientallen kleine verbeteringen, waardoor je met alles net wat lekkerder opschiet. De ‘achterkant’ van Joomla is stukken gebruiksvriendelijker. Dat merk je vooral in de praktijk, als je steeds weer een paar klikken bespaart bij routinehandelingen zoals nieuweartikelen of menulinks toevoegen. De menu’s, knoppen en de schermen zijn logischer en overzichtelijker, en werken sneller.

16-5redenen_flyoutmenu

Reden 4: Geen strenge secties meer

Joomla 1.5 was streng: je kon niet zomaar een categorie Franse auto’s maken en daar direct een artikel over Citroën onder hangen. Nee, je moest een sectie maken, dan een categorie, dan een artikel. Daar viel prima mee te werken, maar het betekende wel dat je soms nutteloze secties zat in te voeren, alleen omdat Joomla dat vereiste.  In Joomla 1.6 deel je content in zoals je wilt. Met net zo veel of net zo weinig categorieën en subcategorieën als je nodig hebt.

Reden 5: Nu nóg schoner!

Joomla 1.6 zorgt voor schonere resultaten: pagina’s met ‘schone’ HTML-code, zonder tabellen en andere verouderde lay-outmethoden. Dat  is beter voor iedereen: voor de gebruiker, omdat schone code beter sneller en beter wordt weergegeven in alle browsers, voor de webontwikkelaar, omdat het makkelijker is om even wat aan te passen onder de motorkap van de site, en voor de eigenaar van de site, want die site wordt nu beter gevonden door zoekmachines.

En Joomla 1.5 dan?

Als je een prima werkende site hebt gebouwd met Joomla 1.5, dan hoef je geen haast te maken. Die site doet het over een jaar nog steeds, en ook het ‘oude’ Joomla  wordt dan nog ondersteund. Maar als je overweegt je site toch te vernieuwen, dan is 1.6 wel erg verleidelijk.

Heb jij net als Eric zelf een artikel geschreven dat je graag met andere Joomla gebruikers wilt delen? Neem dan contact met ons op.

20 reacties

EasyDiscuss Avatar
eblom
Het wachten is nu alleen nog op de 1.6 versie van de JCeditor, incl alle plugins. Handig als dit ook in 1.6.x zou worden opgenomen.<br />Eigenlijk bizar dat je na het installeren van joomla nog altijd een lijst aan verplichte extensiens moet toevoegen (zoals de editor) voordat je aan de slag kunt,wel goed nieuws dat die lijst flink is geslonken!
EasyDiscuss Avatar
Sander Potjer
Je hebt gezien dat de beta van JCE editor beschikbaar is? http://www.joomlacontenteditor.net/news<br /><br />Wat betreft "verplichte" extensies is het ook persoonlijke voorkeur. Misschien is het juist wel goed dat de editor niet in de core zit zodat deze continue verder wordt ontwikkeld. Maargoed, gelukkig is er nog genoeg te verbeteren voor de komende versies ;)
EasyDiscuss Avatar
David-Andrew
En enkele redenen om Joomla! 1.6 niet te gebruiken:<br />
  • (automatisch) updaten naar 1.6.2 maakte enkele extensies "kapot" (MooTools)<br />
  • automatisch updaten naar 1.6.3 om die extensies te maken, maakte (in selecte gevallen) de hele site "kapot" (zie tracker)<br />
  • grotere benodigde extensies zijn nog niet voor 1.6 beschikbaar (wel onderweg meestal)<br />
  • Joomla! 1.6 is een STS (short term release) en nog slechts 2 a 3 maanden "houdbaar" en wordt dan vervangen door 1.7, die in begin 2012 weer vervangen wordt door waarschijnlijk 1.8, en 1.8 is wel een LTS (long term support release)
<br />Ik wil vooral zeggen, lieve mensen, niet domweg 1.6 installeren, eerst nadenken en onderzoeken. Tenzij je even een uurtje vrij hebt en wil "spelen". Het zou jammer zijn als je halverwege besluit toch 1.5 nodig te moeten hebben. <br /><br />Daarnaast, in hert kader van de nieuwe release strategy, is het wellicht een idee dat service providers (mensen die boeken schrijven, extensies maken, cursussen maken etc etc) steeds een LTS als basis nemen voor hun activiteiten en we de STS steeds als minder grote "experimentele" release zien? <br /><br />Benieuwd naar wat julie daarvan denken!

EasyDiscuss Avatar
Sander Potjer
Citaat :
Joomla! 1.6 is een STS (short term release) en nog slechts 2 a 3 maanden "houdbaar" en wordt dan vervangen door 1.7, die in begin 2012 weer vervangen wordt door waarschijnlijk 1.8, en 1.8 is wel een LTS (long term support release)
<br />Dit is onjuist, Joomla 1.6 is een LTS release, ondersteund tot oktober 2012! De volgende LTS is 1.9.<br /><br />Tevens vind ik dit geen valide reden om niet naar 1.6 over te stappen, want dat betekend dat je nooit overstapt als je weet dat er over 6 maanden weer nieuwe release is... :S<br /><br />Wat betreft je andere punten is het mootools opgelost, update issue wordt bekeken en treedt alleen in hele specifieke gevallen op. Joomla 1.5 had in het begin ook nog kinderziektes. <br /><br />Persoonlijk vind ik het jammer dat er zoveel mensen bezig zijn 1.6 te bashen (bedoel jou niet David, algemeen), eerst roepen dat nieuwe release zolang duurt, nu is de nieuwe versie er maar dan massaal laten vallen? Volgens mij komen we alleen verder als we met z'n allen aan de gang gaan, feedback verzamelen voor volgende versie en zo joomla verder verbeteren. Je mening geven over 1.6 is prima, maar heb het dan wel zelf bekeken en geteste en ga niet direct af op wat er door sommige wordt geroepen.<br /><br />Natuurlijk is het even lastig dat er nog veel extensies niet beschikbaar zijn maar dit wordt snel meer. Tevens zal een update naar 1.7 echt wel eenvoudiger zijn dan 1.5 naar 1.6, zowel voor de gebruiker als developer. Dit is te danken aan de nieuwe release strategie, we verzamelen niet meer 4 jaar lang nieuwe features en aanpassingen en releasen dat in een keer, nee kleine beetjes waardoor iedereen veel beter "bij" kan blijven. Binnenkort zal ik aan de strategie aandacht besteden om dit duidelijker te maken.<br /><br />Deze omslag in strategy zal even wennen zijn voor het project, dat ben ik volledig eens, dat merk je aan de houding van velen. <br /><br />Afhankelijk van je wensen/eisen aan de site kan je Joomla 1.6 prima inzetten. Als je er eenmaal mee werkt en dan terugschakelt naar 1.5 merk je dat we echt weer stappen vooruit zijn.

EasyDiscuss Avatar
David-Andrew
Hoi Sander,<br /><br />Ik wil allereerst zeggen dat ik niet graag in het hokje "Joomla! 1.6 bashers" kampeer. Want dat heb ik gezien toen 1.6 net uit was, en dat vond ik ook niet leuk. Mijn persoonlijke conclusie is het bovenstaande en die heb ik pas ontwikkeld na maanden van "nadenken". Bashen is simpelweg en onnodig negatief doen, ik wil alleen zeggen "denk". Het tegenovergestel de van bashen is domweg de laatste versie installeren, en dan erachter komen dat dat net niet nodig of handig was. Ik zie het wekelijks wanneer ik ondersteuning voor mijn extensies geef. <br /><br />Maar goed, hier staat nog dat 1.5 en 1.8 LTS zijn. Is dat veranderd? Waar staat dat dan, ben benieuwd! Want ik vind altijd al dat 1.6 beter een LTS kon zijn, om verschillende redenen. <br />http://www.theartofjoomla.com/home/5-commentary/133-when-should-site-owners-upgrade-to-joomla-16.html<br /><br />Dan zeg jij "dat betekend dat je nooit overstapt als je weet dat er over 6 maanden weer nieuwe release is... ". <br />Nee, dat bedoelde ik niet. Ik bedoelde dat je voorzichtig moet zijn dat je een site bouwt die je nu maakt, en laten we zeggen over 5 maanden naar je klant moet communiceren dat hij weer mag dokken, want je moet naar de volgende STS "migreren" ivm ondersteuning en security updates. Bij een LTS hoeft dat pas later, want (als het goed is) kan je een normaal update/onderhoud contract aanbieden. <br /><br />Daarnaast voor "service providers" kan het mikken op LTSen aantrekkelijk zijn om investeringskos ten te kunne richten. Het eea is afhankelijk van vooral, "hoe snel passen wij ons aan het nieuwe release strategy aan" en "houdt het Joomla! core team zich zelf goed aan de regels". Deze nieuwe strategy kan werken, maar het betekent dat een STS echt een STS moet zijn, en niet een LTS met STS sticker. Dan kunnen derde partijen ergens op rekenen en zullen ze minder afwachten. <br /><br />Ik heb Joomla! 1.5 gebruikt op tientallen sites toen het in beta (stout, maar dat zijn we allemaal) was en (net als JIRA) er cursus in gegeven toen het beta en RC was. Terechte opmerking dat die ook kinderziektes had! Maar, dat is voor ons geen probleem, we know how to live with that. Maar ik moet er niet aan denken dat eind gebruikers software met kinderziektes gebruiken zonder professionele begeleiding. Dat is niet positief voor Joomla!, lijkt mij. <br /><br />"Afhankelijk van je wensen/eisen aan de site kan je Joomla 1.6 prima inzetten."<br /><br />Helemaal mee eens. <br /><br />In ander nieuws: discussie voeren via forums en commentaar boxen is natuurlijk niet zo handig. Als je mijn "tone of voice" or lichaamshouding had gezien had je zo gezien dat ik niet bedoelde te bashen. My bad :-)
EasyDiscuss Avatar
Sander Potjer
Hallo David,<br /><br />Ik bedoelde jou ook niet specifiek toen ik het over bashen had, meer iets dat ik algemeen zie: veel ongegronde meningen in de internationale community. Makkelijk negatieve dingen te roepen, andere nemen het zomaar over zonder zelf te testen.<br /><br />Vanuit http://developer.joomla.org/strategy.html had ik begrepen dat 1.6 een LTS zou zijn, na even wat navraag blijkt dat inderdaad niet zo te zijn en zoals jij aangeeft 1.5 en straks 1.8. <br /><br />Wel blijft het zo dat van 1.6->1.7 en 1.7->1.8 er wordt aangegeven dat het niets zou moeten "breken", dus niet heel veel anders dan een update van 1.6.1 naar 1.6.2 oid.<br /><br />De strategy mag dus zeker duidelijker gecommuniceerd worden vanuit het project, ik ga kijken waar ik hierin mijn steentje kan bijdragen!
EasyDiscuss Avatar
David-Andrew
De strategy mag dus zeker duidelijker gecommuniceerd worden vanuit het project, ik ga kijken waar ik hierin mijn steentje kan bijdragen!<br /><br />Dat ben ik het met je eens, ik denk dat dat heel belangrijk is voor de (snellere) adoptie. Vandaar ook mijn praatje 2 maanden geleden bij de JUG010 hierover.<br /><br />Ik zat te denken aan misschien een site zoals Joomla! Forward of iets dergelijks, waar Joomla.org maar vooral ook derde partijen heen kunnen linken, alleen moet het wel zin hebben qua traffic. <br /><br />Ik wil wel mee helpen als je iets bedacht hebt/wilt doen.
EasyDiscuss Avatar
David-Andrew
http://developer.joomla.org/strategy.html Deze pagina is inderdaad (helaas) niet up to date.
EasyDiscuss Avatar
Thetjo
Interessante discussie hier ineens! <br /><br />"Wel blijft het zo dat van 1.6->1.7 en 1.7->1.8 er wordt aangegeven dat het niets zou moeten "breken", dus niet heel veel anders dan een update van 1.6.1 naar 1.6.2 oid."<br /><br />Helaas was hier (in ieder geval op de Joomladagen) geen enkele bevestiging van de developers op te krijgen :( <br /><br />Slechts met zekerheid over dat punt zou ik persoonlijk op dit moment mensen gaan aanraden een nieuwe website op 1.6 te bouwen (ondanks alle nieuwe goede features zoals onder andere degene beschreven in dit artikel). Dit staat dan nog los van het feit dat er helaas nog veel (in mijn ogen) belangrijke extensies missen zoals bijvoorbeeld de mogelijkheid om comments achter te laten of een forms builder. <br /><br />Je zit als de transitie niet eenvoudig is namelijk met een release van een product die niet meer wordt onderhouden (met alle security problemen vandien). Dit zal vervolgens zorgen voor meer aanvallen op Joomla sites en dat weer voor bad press (ook op mainstream websites). <br /><br />Dit zal mensen wel leren over te stappen naar (een nieuwe versie van) Joomla die ("nee dit keer echt!") eenvoudig te upgraden is en onderhouden wordt..
EasyDiscuss Avatar
katim110
sander, <br />je schreef: Wat betreft "verplichte" extensies is het ook persoonlijke voorkeur. Misschien is het juist wel goed dat de editor niet in de core zit zodat deze continue verder wordt ontwikkeld. Maargoed, gelukkig is er nog genoeg te verbeteren voor de komende versies ;) <br /><br />wat zijn de verplichte extensies dan? ik heb joomla 1.6.3 en heb geen 1 extensie geïnstalleerd ???<br /><br />dank u wel
EasyDiscuss Avatar
Sander Potjer
thetjo zei:
Helaas was hier (in ieder geval op de Joomladagen) geen enkele bevestiging van de developers op te krijgen :( <br />
<br />Het is inderdaad niet uitgesloten dat er bijvoorbeeld database aanpassingen plaatsvinden, om verder te komen met het project moeten er soms database aanpassingen plaatsvinden. <br /><br />Wat we wel zeker weten is dat deze aanpassingen nooit zo groot kunnen zijn als de eerdere 1.0->1.5 en 1.5->1.6 upgrades. Voor deze upgrades zijn 3/4 jaar lang features verzameld en die worden in een keer toegevoegd. Met de nieuwe release strategie waarbij elk half jaar een nieuwe versie verschijnt is dat dus maar steeds een klein beetje in plaats van in een keer de grote bulk. Ik verwacht daardoor dat het meegaan in versies voor zowel gebruikers als ontwikkelaars eenvoudiger wordt.<br /><br /> katim110 zei:
wat zijn de verplichte extensies dan? ik heb joomla 1.6.3 en heb geen 1 extensie geïnstalleerd ???
<br />Wat mij betreft zijn die er dus juist niet. Ik heb liever zo min mogelijk in de core en installeer wat ik nodig heb. Bijv de banner core extensie, die gebruik ik nooit, mag er wat mij betreft uit de core!<br /><br />Ook heb ik niet voor elk project een reactie extensie nodig, dus @ thetjo, ook dat liever niet in de core :)<br /><br />Leuke discussie, duidelijk dat we aan bepaalde zaken meer aandacht gaan besteden!

EasyDiscuss Avatar
tonie
Ik ga een nieuwe site maken, redelijk klein. Toch fijn met 1.5 aan de slag. Dit wel met het oog op een migratie naar 1.8 volgend jaar.<br /><br />Voornaamste reden is het aantal patches wat je nog gaat krijgen tussen nu en volgend jaar april (als 1.5 niet meer ondersteund wordt). Tot die tijd krijg je waarschijnlijk nog 1.7.0, 1.7.1 en 1.7.2 en 1.8.0, 1.8.1 en 1.8.2. Terwijl er in de 1.5 serie alleen nog maar security issues worden gefixed.<br /><br />Ondanks het feit dat iedere nieuwe versie Joomla beter maakt, levert het ook regressies op. Zeker omdat het aantal fixes per release enorm is.<br /><br />Nadeel van het huidige updatesysteem is er dat er niet aangegeven wordt dat er security gevoelige updates/upgrades zijn. Het is inderdaad al een stap voorwaarts.
EasyDiscuss Avatar
Thetjo
"Ook heb ik niet voor elk project een reactie extensie nodig, dus @ thetjo, ook dat liever niet in de core :)"<br /><br />Helemaal met je eens, gooi alles die core maar uit! Wat ik bedoelde is dat er nog geen goede add-on lijkt te zijn op JED of elsewhere voor bijvoorbeeld deze feature. <br /><br />Misschien dat dit met de aanstaande loskoppeling van het framework eenvoudiger wordt? Of juist erger natuurlijk omdat er dan immers een los framework beschikbaar is en Joomla een distributie wordt met 'all the awesome options pre-installed'. Hmm..
EasyDiscuss Avatar
tonie
Voor het CMS zullen ze eerst developers moeten vinden die nieuwe features gaan ontwikkelen. http://community.joomla.org/blogs/leadership/1442-wanted-new-features-for-version-17.html .
EasyDiscuss Avatar
nonumber
Joomla 1.6 is toch echt een Short Term Support Release. Joomla 1.8 wordt weer een Long Term.<br /><br />Sterker nog, Joomla 1.5 zal langer ondersteund worden dan Joomla 1.7!<br /><br />Joomla 1.5 [LTS] Jan 2008 - Apr 2012<br />Joomla 1.6 [STR] Jan 2011 - Aug 2011<br />Joomla 1.7 [STR] Jul 2011 - Feb 2012<br />Joomla 1.8 [LTS] Jan 2012 - ???
EasyDiscuss Avatar
Marijke Stuivenberg
Het blijft een levendige discussie, niet alleen hier maar overal in de wereldwijde community. Op de Joomladagen was het al een van de meest besproken onderwerpen en meest gestelde vraag. Kort geleden was er op het forum ook een discussie over die misschien niet iedereen gelezen heeft:<br />http://forum.joomlacommunity .eu/showthread.php?t=9407<br /><br />Het zou zeker beter gecommuniceerd kunnen worden naar de community. Dat is één aspect.<br />Verder is het zo dat we vanuit het verleden de strategie gewend zijn dat men aan heeft gegeven welke verbeteringen en toevoegingen de volgende versie heeft en onduidelijk bleef wanneer de versie verwacht kon worden, hetgeen telkens een paar jaar heeft geduurd. Het is dus duidelijk wennen dat dit nu omgedraaid is, de releasedatum is bekend, en (nog) niet welke verbeteringen/toevoegingen we kunnen verwachten. Iets dat ook erg van de input van de community zelf afhangt.<br /><br />Niet alleen wennen misschien zelfs, ik kan me ook voorstellen dat er een zeker voorbehoud is bij erg veel mensen. Gaat dit werken? Houdt men zich aan die afspraken?<br />Dat is zeker iets dat de toekomst ons zal moeten leren, en ook het project zelf zal moeten leren en groeien van deze nieuwe strategie.<br /><br />Tevens bespeur ik ook bij developers een groot voorbehoud die ik enerzijds heel begrijpelijk vind. Anderzijds hoop ik dat ze open gaan staan voor deze nieuwe strategie en ook de PLT de samenwerking en interactie met 3rth party developers op een goede, of ik zou denk ik moeten zeggen op een betere manier dan in het verleden laat verlopen. Als dat lukt denk ik dat Joomla een zeer goede toekomst tegemoet gaat!
EasyDiscuss Avatar
JosB
Zelf heb ik 1.6 nog afgehouden omdat er vanzelfsprekend updates zouden volgen na de eerste officiële release. Ik was voornemens om mijn eerste site in 1.6 te gaan bouwen tot ik het artikel http://bit.ly/eaHcUp las van Nicholas K. Dionysopoulos, hij heeft nogal zijn bedenkingen op dit moment... waar doe je nu wijs aan?
EasyDiscuss Avatar
wdele
Dat updaten, heel handig. Heb ik nooit geweten. Dank je wel!<br /><br />Liam
EasyDiscuss Avatar
David-Andrew
Heb een aantal vragen gesteld over de nieuwe development strategy hier:<br />https://groups.google.com/forum/?hl=en#!topic/joomla-dev-cms/5XHgGyP1-Y4<br /><br />En Andrew-Eddie reageert met onder andere:<br />> I was wondering if, for<br />> example, a book writer would call his book "Joomla! book", and focus on an<br />> LTS release in it (off course also explain the development strategy), even<br />> if a STS release was already available. The book would then only need to be<br />> updated when the next LTS release is released. The same may apply to people<br />> developing in dept Joomla! training materials or maybe some extension<br />> developers that (a) have a large extension and (b) want to use the Joomla!<br />> framework.<br />The strategy I would probably employ, since I write material myself,<br />is, yes, focus on the LTS but bring out the "2nd edition" with a STS<br />supplement. Eg, write the "1.8 book" then bring out the 2nd edition<br />to coincide with the release of 2.10. Something like that.
EasyDiscuss Avatar
Sander Potjer
Inmiddels ben ik ook bezig aan een infographic over de development strategy: http://www.flickr.com/photos/sanderpotjer/5664665151/<br /><br />Binnenkort volledig op JoomlaCommunity !

Reageer

1000 Resterende tekens